// Code generated by go-swagger; DO NOT EDIT.

package outgoing_webhook

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// OutgoingWebhookListReader is a Reader for the OutgoingWebhookList structure.
type OutgoingWebhookListReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *OutgoingWebhookListReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewOutgoingWebhookListOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewOutgoingWebhookListBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewOutgoingWebhookListUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewOutgoingWebhookListInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewOutgoingWebhookListOK creates a OutgoingWebhookListOK with default headers values
func NewOutgoingWebhookListOK() *OutgoingWebhookListOK {
	return &OutgoingWebhookListOK{}
}

/*OutgoingWebhookListOK handles this case with default header values.

OK
*/
type OutgoingWebhookListOK struct {
	Payload *models.V0AppWebhookListResponseModel
}

func (o *OutgoingWebhookListOK) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks][%d] outgoingWebhookListOK  %+v", 200, o.Payload)
}

func (o *OutgoingWebhookListOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0AppWebhookListResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewOutgoingWebhookListBadRequest creates a OutgoingWebhookListBadRequest with default headers values
func NewOutgoingWebhookListBadRequest() *OutgoingWebhookListBadRequest {
	return &OutgoingWebhookListBadRequest{}
}

/*OutgoingWebhookListBadRequest handles this case with default header values.

Bad Request
*/
type OutgoingWebhookListBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *OutgoingWebhookListBadRequest) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks][%d] outgoingWebhookListBadRequest  %+v", 400, o.Payload)
}

func (o *OutgoingWebhookListBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewOutgoingWebhookListUnauthorized creates a OutgoingWebhookListUnauthorized with default headers values
func NewOutgoingWebhookListUnauthorized() *OutgoingWebhookListUnauthorized {
	return &OutgoingWebhookListUnauthorized{}
}

/*OutgoingWebhookListUnauthorized handles this case with default header values.

Unauthorized
*/
type OutgoingWebhookListUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *OutgoingWebhookListUnauthorized) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks][%d] outgoingWebhookListUnauthorized  %+v", 401, o.Payload)
}

func (o *OutgoingWebhookListUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewOutgoingWebhookListInternalServerError creates a OutgoingWebhookListInternalServerError with default headers values
func NewOutgoingWebhookListInternalServerError() *OutgoingWebhookListInternalServerError {
	return &OutgoingWebhookListInternalServerError{}
}

/*OutgoingWebhookListInternalServerError handles this case with default header values.

Internal Server Error
*/
type OutgoingWebhookListInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *OutgoingWebhookListInternalServerError) Error() string {
	return fmt.Sprintf("[GET /apps/{app-slug}/outgoing-webhooks][%d] outgoingWebhookListInternalServerError  %+v", 500, o.Payload)
}

func (o *OutgoingWebhookListInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
